/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons-sandbox//i18n/src/java/org/apache/commons/i18n/LocalizedError.java,v 1.1 2004/10/04 13:41:09 dflorey Exp $
 * $Revision: 1.1 $
 * $Date: 2004-10-04 15:41:11 +0200 (Mo, 04 Okt 2004) $
 *
 * ====================================================================
 *
 * Copyright 2004 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.commons.i18n;

import java.util.Locale;

public class LocalizedError extends LocalizedMessage {
    private final static String SUMMARY = "summary";
    private final static String DETAILS = "details";

    public LocalizedError(String messageId) {
        super(messageId);
    }

    public LocalizedError(String messageId, Object[] arguments) {
        super(messageId, arguments);
    }

    public String getSummary() throws MessageNotFoundException {
        return getText(SUMMARY, Locale.getDefault());
    }

    public String getSummary(Locale locale) throws MessageNotFoundException {
        return getText(SUMMARY, locale);
    }

    public String getSummary(String defaultSummary) {
        return getText(SUMMARY, defaultSummary, Locale.getDefault());
    }

    public String getSummary(Locale locale, String defaultSummary) {
        return getText(SUMMARY, defaultSummary, locale);
    }

    public String getDetails() throws MessageNotFoundException {
        return getText(DETAILS, Locale.getDefault());
    }

    public String getDetails(Locale locale) throws MessageNotFoundException {
        return getText(DETAILS, locale);
    }

    public String getDetails(String defaultDetails) {
        return getText(DETAILS, defaultDetails, Locale.getDefault());
    }

    public String getDetails(Locale locale, String defaultDetails) {
        return getText(DETAILS, defaultDetails, locale);
    }
}